!******************************************************************************!
!                                                                              !
!    ctparameter139.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter139.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter139
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter139()
  if (dZeMinusR_QED2_scheme .eq. 2) then
    dZeMinusR_QED2 = (Ten150*(coupl(nGC_134)**2d0 - 2d0*coupl(nGC_80)**2d0) -  &
                     Ten151*coupl(nGC_135)**2d0 - Ten289*coupl(nGC_133)**2d0 + &
                     Ten90*coupl(nGC_4)**2d0 - coupl(nGC_80)**2d0)/(16d0*pi**  &
                     2d0)
    if (.not. complex_mass_scheme) then
      dZeMinusR_QED2 = cone*real(dZeMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter139
end module ctparameter139
