!******************************************************************************!
!                                                                              !
!    ctparameter143.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter143.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter143
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter143()
  dt_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_107) - cMZ**2d0*coupl(nGC_123)) +   &
            cima*(8d0*Nc*Ten10*cMS*coupl(nGC_141) + 8d0*Nc*Ten11*cMB*coupl(    &
            nGC_126) + 8d0*Nc*Ten6*cMU*coupl(nGC_149) + 8d0*Nc*Ten7*cMC*coupl( &
            nGC_128) + 8d0*Nc*Ten8*cMT*coupl(nGC_143) + 8d0*Nc*Ten9*cMD*coupl( &
            nGC_132) - Ten0*coupl(nGC_102) + Ten1*(-coupl(nGC_116) + 2d0*coupl(&
            nGC_122) + 4d0*coupl(nGC_123)) + 2d0*Ten2*(2d0*coupl(nGC_106) + 4d0&
            *coupl(nGC_107) - coupl(nGC_115)) + 8d0*Ten3*cME*coupl(nGC_135) +  &
            8d0*Ten4*cMM*coupl(nGC_138) + 8d0*Ten5*cMTA*coupl(nGC_147))/2d0)/( &
            16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dt_QED1 = cone*real(dt_QED1,kind=dp)
    end if 
end subroutine set_ctparameter143
end module ctparameter143
