!******************************************************************************!
!                                                                              !
!    ctparameter60.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter60.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter60
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter60()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = (2d0*Ten152*cMD*coupl(nGC_1)**2d0 + Ten153*cMD*(-coupl(nGC_78)**&
               2d0 + 4d0*coupl(nGC_78)*coupl(nGC_82) - coupl(nGC_82)**2d0) -   &
               Ten154*(cMD*coupl(nGC_130)**2d0 + cMD*coupl(nGC_148)**2d0 + 2d0*&
               cMD*coupl(nGC_62)**2d0 + 2d0*cMU*coupl(nGC_130)*coupl(nGC_148))/&
               2d0 + Ten155*cMD*coupl(nGC_132)**2d0 - 2d0*Ten156*cMD*coupl(    &
               nGC_1)**2d0 + Ten157*cMD*(coupl(nGC_131)**2d0 - coupl(nGC_78)** &
               2d0 - coupl(nGC_82)**2d0) - Ten158*cMD*(coupl(nGC_130)**2d0 +   &
               coupl(nGC_148)**2d0 + 2d0*coupl(nGC_62)**2d0)/2d0 - Ten159*cMD* &
               coupl(nGC_132)**2d0 + cMD*(-2d0*coupl(nGC_1)**2d0 + coupl(nGC_62&
               )**2d0 + coupl(nGC_78)**2d0 - 4d0*coupl(nGC_78)*coupl(nGC_82) + &
               coupl(nGC_82)**2d0)/2d0)/(16d0*pi**2d0)
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter60
end module ctparameter60
