!******************************************************************************!
!                                                                              !
!    ctparameter76.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter76.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter76
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter76()
  dZZ_QED2 = (2d0*Nc*Ten383*(coupl(nGC_79)**2d0 + coupl(nGC_83)**2d0)/3d0 + 2d0&
             *Nc*Ten384*(coupl(nGC_79)**2d0 + coupl(nGC_83)**2d0)/3d0 + 2d0*Nc*&
             Ten385*(coupl(nGC_79)**2d0 + coupl(nGC_83)**2d0)/3d0 + 2d0*Nc*    &
             Ten386*(coupl(nGC_78)**2d0 + coupl(nGC_82)**2d0)/3d0 + 2d0*Nc*    &
             Ten387*(coupl(nGC_78)**2d0 + coupl(nGC_82)**2d0)/3d0 + 2d0*Nc*    &
             Ten388*(coupl(nGC_78)**2d0 + coupl(nGC_82)**2d0)/3d0 + 2d0*Nc*    &
             Ten426*(-cMU**2d0*coupl(nGC_79)**2d0 + 6d0*cMU**2d0*coupl(nGC_79)*&
             coupl(nGC_83) - cMU**2d0*coupl(nGC_83)**2d0 + coupl(nGC_79)**2d0* &
             rMZ**2d0 + coupl(nGC_83)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten427*(-cMC &
             **2d0*coupl(nGC_79)**2d0 + 6d0*cMC**2d0*coupl(nGC_79)*coupl(nGC_83&
             ) - cMC**2d0*coupl(nGC_83)**2d0 + coupl(nGC_79)**2d0*rMZ**2d0 +   &
             coupl(nGC_83)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten428*(-cMT**2d0*coupl(&
             nGC_79)**2d0 + 6d0*cMT**2d0*coupl(nGC_79)*coupl(nGC_83) - cMT**2d0&
             *coupl(nGC_83)**2d0 + coupl(nGC_79)**2d0*rMZ**2d0 + coupl(nGC_83  &
             )**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten429*(-cMD**2d0*coupl(nGC_78)**2d0&
              + 6d0*cMD**2d0*coupl(nGC_78)*coupl(nGC_82) - cMD**2d0*coupl(     &
             nGC_82)**2d0 + coupl(nGC_78)**2d0*rMZ**2d0 + coupl(nGC_82)**2d0*  &
             rMZ**2d0)/3d0 + 2d0*Nc*Ten430*(-cMS**2d0*coupl(nGC_78)**2d0 + 6d0*&
             cMS**2d0*coupl(nGC_78)*coupl(nGC_82) - cMS**2d0*coupl(nGC_82)**2d0&
              + coupl(nGC_78)**2d0*rMZ**2d0 + coupl(nGC_82)**2d0*rMZ**2d0)/3d0 &
              + 2d0*Nc*Ten431*(-cMB**2d0*coupl(nGC_78)**2d0 + 6d0*cMB**2d0*    &
             coupl(nGC_78)*coupl(nGC_82) - cMB**2d0*coupl(nGC_82)**2d0 + coupl(&
             nGC_78)**2d0*rMZ**2d0 + coupl(nGC_82)**2d0*rMZ**2d0)/3d0 - 2d0*Nc*&
             coupl(nGC_78)**2d0/3d0 - 2d0*Nc*coupl(nGC_79)**2d0/3d0 - 2d0*Nc*  &
             coupl(nGC_82)**2d0/3d0 - 2d0*Nc*coupl(nGC_83)**2d0/3d0 + Ten0*    &
             coupl(nGC_81)**2d0*(-cMH**2d0 + cMZ**2d0)/(3d0*rMZ**4d0) + Ten1*  &
             coupl(nGC_81)**2d0*(cMH**2d0 - cMZ**2d0)/(3d0*rMZ**4d0) + Ten378* &
             coupl(nGC_81)**2d0*(cMH**4d0 - 2d0*cMH**2d0*cMZ**2d0 + cMZ**4d0 - &
             rMZ**4d0)/(3d0*rMZ**4d0) + Ten379*(-80d0*coupl(nGC_64)**2d0 -     &
             coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 + 4d0*coupl(nGC_85)**2d0)/&
             12d0 + 2d0*Ten380*(coupl(nGC_80)**2d0 + coupl(nGC_85)**2d0)/3d0 + &
             2d0*Ten381*(coupl(nGC_80)**2d0 + coupl(nGC_85)**2d0)/3d0 + 2d0*   &
             Ten382*(coupl(nGC_80)**2d0 + coupl(nGC_85)**2d0)/3d0 + 2d0*Ten421*&
             coupl(nGC_86)**2d0 + Ten422*(-64d0*cMW**2d0*coupl(nGC_64)**2d0 +  &
             4d0*cMW**2d0*coupl(nGC_65)**2d0 + 4d0*cMW**2d0*coupl(nGC_66)**2d0 &
              - 16d0*cMW**2d0*coupl(nGC_85)**2d0 + 24d0*coupl(nGC_119)**2d0 -  &
             80d0*coupl(nGC_64)**2d0*rMZ**2d0 - coupl(nGC_65)**2d0*rMZ**2d0 -  &
             coupl(nGC_66)**2d0*rMZ**2d0 + 4d0*coupl(nGC_85)**2d0*rMZ**2d0)/   &
             12d0 + 2d0*Ten423*(-cME**2d0*coupl(nGC_80)**2d0 + 6d0*cME**2d0*   &
             coupl(nGC_80)*coupl(nGC_85) - cME**2d0*coupl(nGC_85)**2d0 + coupl(&
             nGC_80)**2d0*rMZ**2d0 + coupl(nGC_85)**2d0*rMZ**2d0)/3d0 + 2d0*   &
             Ten424*(-cMM**2d0*coupl(nGC_80)**2d0 + 6d0*cMM**2d0*coupl(nGC_80)*&
             coupl(nGC_85) - cMM**2d0*coupl(nGC_85)**2d0 + coupl(nGC_80)**2d0* &
             rMZ**2d0 + coupl(nGC_85)**2d0*rMZ**2d0)/3d0 + 2d0*Ten425*(-cMTA** &
             2d0*coupl(nGC_80)**2d0 + 6d0*cMTA**2d0*coupl(nGC_80)*coupl(nGC_85 &
             ) - cMTA**2d0*coupl(nGC_85)**2d0 + coupl(nGC_80)**2d0*rMZ**2d0 +  &
             coupl(nGC_85)**2d0*rMZ**2d0)/3d0 + 2d0*Ten432*coupl(nGC_86)**2d0* &
             rMZ**2d0 + Ten433*(-cMH**4d0*coupl(nGC_81)**2d0 + 2d0*cMH**2d0*cMZ&
             **2d0*coupl(nGC_81)**2d0 + 2d0*cMH**2d0*coupl(nGC_81)**2d0*rMZ**  &
             2d0 - cMZ**4d0*coupl(nGC_81)**2d0 + 2d0*cMZ**2d0*coupl(nGC_81)**  &
             2d0*rMZ**2d0 + 3d0*coupl(nGC_123)**2d0*rMZ**2d0 - coupl(nGC_81)** &
             2d0*rMZ**4d0)/(3d0*rMZ**2d0) + 2d0*coupl(nGC_64)**2d0/9d0 - coupl(&
             nGC_65)**2d0/18d0 - coupl(nGC_66)**2d0/18d0 - 2d0*coupl(nGC_80)** &
             2d0/3d0 - 2d0*coupl(nGC_81)**2d0/9d0 - 4d0*coupl(nGC_85)**2d0/9d0 &
              - 2d0*coupl(nGC_86)**2d0/3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter76
end module ctparameter76
