!******************************************************************************!
!                                                                              !
!    ctparameter83.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter83.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter83
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter83()
  dZWMinus_QED2 = (-2d0*Nc*coupl(nGC_62)**2d0/3d0 - 2d0*coupl(nGC_3)*coupl(    &
                  nGC_4)/9d0 - coupl(nGC_5)**2d0/18d0 - 2d0*coupl(nGC_59)*coupl&
                  (nGC_60)/9d0 - coupl(nGC_6)**2d0/18d0 - 2d0*coupl(nGC_61)**  &
                  2d0/9d0 - 2d0*coupl(nGC_62)**2d0/3d0 - 2d0*coupl(nGC_63)*    &
                  coupl(nGC_64)/9d0 - coupl(nGC_65)**2d0/18d0 - coupl(nGC_66)**&
                  2d0/18d0 + (4d0*Nc*Ten10*coupl(nGC_62)**2d0*(cMC**2d0 - cMS**&
                  2d0)/rMW**2d0 + 4d0*Nc*Ten11*coupl(nGC_62)**2d0*(-cMB**2d0 + &
                  cMT**2d0)/rMW**2d0 + 4d0*Nc*Ten462*coupl(nGC_62)**2d0*(cMD** &
                  4d0 - 2d0*cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW**4d0)/rMW** &
                  2d0 + 4d0*Nc*Ten463*coupl(nGC_62)**2d0*(cMC**4d0 - 2d0*cMC** &
                  2d0*cMS**2d0 + cMS**4d0 + 2d0*rMW**4d0)/rMW**2d0 + 4d0*Nc*   &
                  Ten464*coupl(nGC_62)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT**2d0  &
                   + cMT**4d0 + 2d0*rMW**4d0)/rMW**2d0 + 4d0*Nc*Ten469*coupl(  &
                  nGC_62)**2d0*(-cMD**4d0 + 2d0*cMD**2d0*cMU**2d0 - cMD**2d0*  &
                  rMW**2d0 - cMU**4d0 - cMU**2d0*rMW**2d0 + 2d0*rMW**4d0) + 4d0&
                  *Nc*Ten470*coupl(nGC_62)**2d0*(-cMC**4d0 + 2d0*cMC**2d0*cMS**&
                  2d0 - cMC**2d0*rMW**2d0 - cMS**4d0 - cMS**2d0*rMW**2d0 + 2d0*&
                  rMW**4d0) + 4d0*Nc*Ten471*coupl(nGC_62)**2d0*(-cMB**4d0 + 2d0&
                  *cMB**2d0*cMT**2d0 - cMB**2d0*rMW**2d0 - cMT**4d0 - cMT**2d0*&
                  rMW**2d0 + 2d0*rMW**4d0) + 4d0*Nc*Ten6*coupl(nGC_62)**2d0*(  &
                  cMD**2d0 - cMU**2d0)/rMW**2d0 + 4d0*Nc*Ten7*coupl(nGC_62)**  &
                  2d0*(-cMC**2d0 + cMS**2d0)/rMW**2d0 + 4d0*Nc*Ten8*coupl(     &
                  nGC_62)**2d0*(cMB**2d0 - cMT**2d0)/rMW**2d0 + 4d0*Nc*Ten9*   &
                  coupl(nGC_62)**2d0*(-cMD**2d0 + cMU**2d0)/rMW**2d0 + 4d0*Ten0&
                  *coupl(nGC_59)*coupl(nGC_60)*(-cMH**2d0 + cMW**2d0)/rMW**2d0 &
                   + Ten1*(4d0*cMW**2d0*coupl(nGC_61)**2d0 + 16d0*cMW**2d0*    &
                  coupl(nGC_63)*coupl(nGC_64) + cMW**2d0*coupl(nGC_65)**2d0 +  &
                  cMW**2d0*coupl(nGC_66)**2d0 - 4d0*cMZ**2d0*coupl(nGC_61)**2d0&
                   - 16d0*cMZ**2d0*coupl(nGC_63)*coupl(nGC_64) - cMZ**2d0*coupl&
                  (nGC_65)**2d0 - cMZ**2d0*coupl(nGC_66)**2d0)/rMW**2d0 + Ten2 &
                  *(4d0*cMH**2d0*coupl(nGC_59)*coupl(nGC_60) - 16d0*cMW**2d0*  &
                  coupl(nGC_3)*coupl(nGC_4) - cMW**2d0*coupl(nGC_5)**2d0 - 4d0*&
                  cMW**2d0*coupl(nGC_59)*coupl(nGC_60) - cMW**2d0*coupl(nGC_6  &
                  )**2d0 - 4d0*cMW**2d0*coupl(nGC_61)**2d0 - 16d0*cMW**2d0*    &
                  coupl(nGC_63)*coupl(nGC_64) - cMW**2d0*coupl(nGC_65)**2d0 -  &
                  cMW**2d0*coupl(nGC_66)**2d0 + 4d0*cMZ**2d0*coupl(nGC_61)**2d0&
                   + 16d0*cMZ**2d0*coupl(nGC_63)*coupl(nGC_64) + cMZ**2d0*coupl&
                  (nGC_65)**2d0 + cMZ**2d0*coupl(nGC_66)**2d0)/rMW**2d0 - 4d0* &
                  Ten3*cME**2d0*coupl(nGC_62)**2d0/rMW**2d0 - 4d0*Ten4*cMM**2d0&
                  *coupl(nGC_62)**2d0/rMW**2d0 + Ten434*(4d0*cME**2d0*coupl(   &
                  nGC_62)**2d0 + 4d0*cMM**2d0*coupl(nGC_62)**2d0 + 4d0*cMTA**  &
                  2d0*coupl(nGC_62)**2d0 + 16d0*cMW**2d0*coupl(nGC_3)*coupl(   &
                  nGC_4) + cMW**2d0*coupl(nGC_5)**2d0 + cMW**2d0*coupl(nGC_6)**&
                  2d0)/rMW**2d0 + Ten435*(16d0*cMW**4d0*coupl(nGC_3)*coupl(    &
                  nGC_4) + cMW**4d0*coupl(nGC_5)**2d0 + cMW**4d0*coupl(nGC_6)**&
                  2d0 + 80d0*coupl(nGC_3)*coupl(nGC_4)*rMW**4d0 - coupl(nGC_5  &
                  )**2d0*rMW**4d0 - coupl(nGC_6)**2d0*rMW**4d0)/rMW**2d0 + 4d0*&
                  Ten437*coupl(nGC_59)*coupl(nGC_60)*(cMH**4d0 - 2d0*cMH**2d0* &
                  cMW**2d0 + cMW**4d0 - rMW**4d0)/rMW**2d0 + Ten438*(4d0*cMW** &
                  4d0*coupl(nGC_61)**2d0 + 16d0*cMW**4d0*coupl(nGC_63)*coupl(  &
                  nGC_64) + cMW**4d0*coupl(nGC_65)**2d0 + cMW**4d0*coupl(nGC_66&
                  )**2d0 - 8d0*cMW**2d0*cMZ**2d0*coupl(nGC_61)**2d0 - 32d0*cMW &
                  **2d0*cMZ**2d0*coupl(nGC_63)*coupl(nGC_64) - 2d0*cMW**2d0*cMZ&
                  **2d0*coupl(nGC_65)**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_66&
                  )**2d0 + 4d0*cMZ**4d0*coupl(nGC_61)**2d0 + 16d0*cMZ**4d0*    &
                  coupl(nGC_63)*coupl(nGC_64) + cMZ**4d0*coupl(nGC_65)**2d0 +  &
                  cMZ**4d0*coupl(nGC_66)**2d0 - 4d0*coupl(nGC_61)**2d0*rMW**4d0&
                   + 80d0*coupl(nGC_63)*coupl(nGC_64)*rMW**4d0 - coupl(nGC_65  &
                  )**2d0*rMW**4d0 - coupl(nGC_66)**2d0*rMW**4d0)/rMW**2d0 + 4d0&
                  *Ten459*coupl(nGC_62)**2d0*(cME**4d0 + 2d0*rMW**4d0)/rMW**2d0&
                   + 4d0*Ten460*coupl(nGC_62)**2d0*(cMM**4d0 + 2d0*rMW**4d0)/  &
                  rMW**2d0 + 4d0*Ten461*coupl(nGC_62)**2d0*(cMTA**4d0 + 2d0*rMW&
                  **4d0)/rMW**2d0 + Ten465*(-16d0*cMW**4d0*coupl(nGC_3)*coupl( &
                  nGC_4) - cMW**4d0*coupl(nGC_5)**2d0 - cMW**4d0*coupl(nGC_6)**&
                  2d0 + 32d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0 + 2d0*&
                  cMW**2d0*coupl(nGC_5)**2d0*rMW**2d0 + 2d0*cMW**2d0*coupl(    &
                  nGC_6)**2d0*rMW**2d0 + 12d0*coupl(nGC_112)**2d0*rMW**2d0 +   &
                  80d0*coupl(nGC_3)*coupl(nGC_4)*rMW**4d0 - coupl(nGC_5)**2d0* &
                  rMW**4d0 - coupl(nGC_6)**2d0*rMW**4d0) + 4d0*Ten466*coupl(   &
                  nGC_62)**2d0*(-cME**4d0 - cME**2d0*rMW**2d0 + 2d0*rMW**4d0   &
                  ) + 4d0*Ten467*coupl(nGC_62)**2d0*(-cMM**4d0 - cMM**2d0*rMW**&
                  2d0 + 2d0*rMW**4d0) + 4d0*Ten468*coupl(nGC_62)**2d0*(-cMTA** &
                  4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0) + 4d0*Ten472*(-cMH**&
                  4d0*coupl(nGC_59)*coupl(nGC_60) + 2d0*cMH**2d0*cMW**2d0*coupl&
                  (nGC_59)*coupl(nGC_60) + 2d0*cMH**2d0*coupl(nGC_59)*coupl(   &
                  nGC_60)*rMW**2d0 - cMW**4d0*coupl(nGC_59)*coupl(nGC_60) + 2d0&
                  *cMW**2d0*coupl(nGC_59)*coupl(nGC_60)*rMW**2d0 + 3d0*coupl(  &
                  nGC_107)**2d0*rMW**2d0 - coupl(nGC_59)*coupl(nGC_60)*rMW**4d0&
                  ) + Ten473*(-4d0*cMW**4d0*coupl(nGC_61)**2d0 - 16d0*cMW**4d0*&
                  coupl(nGC_63)*coupl(nGC_64) - cMW**4d0*coupl(nGC_65)**2d0 -  &
                  cMW**4d0*coupl(nGC_66)**2d0 + 8d0*cMW**2d0*cMZ**2d0*coupl(   &
                  nGC_61)**2d0 + 32d0*cMW**2d0*cMZ**2d0*coupl(nGC_63)*coupl(   &
                  nGC_64) + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_65)**2d0 + 2d0*cMW &
                  **2d0*cMZ**2d0*coupl(nGC_66)**2d0 + 8d0*cMW**2d0*coupl(nGC_61&
                  )**2d0*rMW**2d0 + 32d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_64)* &
                  rMW**2d0 + 2d0*cMW**2d0*coupl(nGC_65)**2d0*rMW**2d0 + 2d0*cMW&
                  **2d0*coupl(nGC_66)**2d0*rMW**2d0 - 4d0*cMZ**4d0*coupl(nGC_61&
                  )**2d0 - 16d0*cMZ**4d0*coupl(nGC_63)*coupl(nGC_64) - cMZ**4d0&
                  *coupl(nGC_65)**2d0 - cMZ**4d0*coupl(nGC_66)**2d0 + 8d0*cMZ**&
                  2d0*coupl(nGC_61)**2d0*rMW**2d0 + 32d0*cMZ**2d0*coupl(nGC_63 &
                  )*coupl(nGC_64)*rMW**2d0 + 2d0*cMZ**2d0*coupl(nGC_65)**2d0*  &
                  rMW**2d0 + 2d0*cMZ**2d0*coupl(nGC_66)**2d0*rMW**2d0 + 12d0*  &
                  coupl(nGC_103)*coupl(nGC_109)*rMW**2d0 + 12d0*coupl(nGC_120  &
                  )**2d0*rMW**2d0 - 4d0*coupl(nGC_61)**2d0*rMW**4d0 + 80d0*    &
                  coupl(nGC_63)*coupl(nGC_64)*rMW**4d0 - coupl(nGC_65)**2d0*rMW&
                  **4d0 - coupl(nGC_66)**2d0*rMW**4d0) - 4d0*Ten5*cMTA**2d0*   &
                  coupl(nGC_62)**2d0/rMW**2d0)/(12d0*rMW**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter83
end module ctparameter83
